import javax.swing.JOptionPane; // giriş çıkışı
import Mathd;

public class H3AL12_2000
{
// ucgenin kenarinin bulunmasi metodu

public static double F(double y)
    {
      // siyah cisim yüzdesi
      // y mikrometre*K
      double toplam=0;
      if(y==0) return 0;
      double x=14387.69/y;
      for(int n=1;n<200;n++)
      {
      toplam+=Math.exp(-n*x)/n*(x*x*x+3.0*x*x/n+6.0*x/(n*n)+6.0/(n*n*n));
      }
      toplam*=15/(Math.PI*Math.PI*Math.PI*Math.PI);
      return toplam;
    }

public static void main(String[] args)
{
Text cin=new Text();
double sayi1;
double sayi2;
double sayi3;
sayi1=Double.parseDouble(JOptionPane.showInputDialog
   ("Siyah cismin radyasyon yüzdesi\n
     lamda*T (mikrometer derece kelvin) : "));
JOptionPane.showMessageDialog(null,
" : "+kkenar(sayi1,sayi2,sayi3),
 "üçgen kenar hesabı",
   JOptionPane.PLAIN_MESSAGE);
   System.exit(0);
}
}


